2019-08-24 09:20 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005993Spring engineGeneralpublic2018-06-03 01:00
Reporterraaar 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005993: void water should not trigger water explosion effects
Descriptioncurrently, projectiles exploding on impact in void water explode as they would on the water surface. There's no CEG attributes to differentiate between void water and actual water.

void water may be used for other types of surface, such as lava, and it's weird to have water splash explosions on lava

- explosions on void water should not trigger "water" or "underwater" CEG effects
Steps To Reproduceopen a map with void water, like https://springfiles.com/spring/spring-maps/apophis-0, spawn units near the edge and shoot at the void
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019147

Kloot (developer)

Fix 2342626d419fcba074a432ab73d5127bdcc129a1 committed to develop branch: fix 0005993
add void{ground,water} CEG flags, repo: spring changeset id: 10321

~0019148

Kloot (developer)

Fix 5cd9101af1bf5d34bd8869d700b601e11996b1c5 committed to maintenance branch: fix 0005993
add void{ground,water} CEG flags, repo: spring changeset id: 10322
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-06-02 04:38 raaar New Issue
2018-06-03 00:59 Kloot Changeset attached => spring develop 2342626d
2018-06-03 00:59 Kloot Note Added: 0019147
2018-06-03 00:59 Kloot Assigned To => Kloot
2018-06-03 00:59 Kloot Status new => resolved
2018-06-03 00:59 Kloot Resolution open => fixed
2018-06-03 01:00 Kloot Changeset attached => spring maintenance 5cd9101a
2018-06-03 01:00 Kloot Note Added: 0019148
+Issue History